---
image: adarnimrod/ci-images:docker

stages:
  - build
  - run

build:
  stage: build
  tags: ["ns4.shore.co.il"]
  script:
    - docker-compose build

run:
  stage: run
  tags: ["ns4.shore.co.il"]
  when: manual
  script:
    - docker-compose up --detach --quiet-pull --remove-orphans
    - |
        for i in $(seq 12)
        do
            docker container inspect --format '{{ .State.Health.Status }}' $(docker-compose ps -q) | grep -v '^healthy$' || break
            sleep 10
        done
        ! docker container inspect --format '{{ .State.Health.Status }}' $(docker-compose ps -q) | grep -v '^healthy$'
